package navaid;
import OUNPPMTest.TestFramework.*;
import org.junit.Test;
import javax.swing.JFrame;
import static org.assertj.swing.launcher.ApplicationLauncher.application;
import static OUNPPMTest.SwingElements.Finder.JMWindowFinder.findFrame;
import OUNPPMTest.SwingElements.Matcher.FrameMatchers;
import java.io.File;
import OUNPPMTest.SwingElements.Matcher.ButtonMatchers;
import OUNPPMTest.SwingElements.Matcher.DialogMatchers;
import static OUNPPMTest.TestFramework.OperatorHelpers.TargetFileChooserAtFile;
import org.assertj.swing.data.TableCell;
import navaid.Iterators.Widgets.FrameIteratorScattererVOR;
import OUNPPMTest.SwingElements.Finder.TableCellFinders;
import navaid.Iterators.Widgets.FrameIteratorScattererXYZAngle;
import navaid.Iterators.Widgets.IterationFileViewer;
import static OUNPPMTest.Testers.Directory.containsDirectoryWithJustCreatedByName;
public class NAVAIDView_LocalizerUserPropertiesTabSuppressWarning_272SelectSuppressNewVersionWarningSetup_Test extends SwingJUnitTestCase{
	@Override
	protected void prepare(){
		application(NAVAIDApp.class).withArgs(new String[]{"SINGLE_THREAD_MODE"}).start();
		windowFrame = findFrame(FrameMatchers.containsTitle("OU Navaids Performance Prediction Model,")).withTimeout(10000).using(robot());
		windowFrame.focus();
		windowFrame.tabbedPane("jTabs").selectTab("User Properties");
	}
	@Test
	public void test272SelectSuppressNewVersionWarningSetup(){
		windowFrame.checkBox("jCheckBoxHideZonesInPlots").click();
		windowFrame.checkBox("jCheckBoxHideTolerencesInPlots").click();
		windowFrame.checkBox("jCheckBoxHideAnalysisBox").click();
		windowFrame.checkBox("jCheckBoxInvertYAxes").click();
		windowFrame.checkBox("jCheckBoxInvertXAxes").click();
		windowFrame.checkBox("jCheckBoxLoadLastRunOnOpen").click();
		windowFrame.checkBox("jCheckBoxSupressNewVersionWarnings").click();
	}
}
